// CDXCreatorDlg.h : Header-Datei
//

#include "Video.h"
#include "Music.h"
#include "LoadFont.h"
#include "VMode.h"
#include "Components.h"

#if !defined(AFX_CDXCREATORDLG_H__9AAC1AA4_D478_11D2_B5CD_00201865E061__INCLUDED_)
#define AFX_CDXCREATORDLG_H__9AAC1AA4_D478_11D2_B5CD_00201865E061__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CCDXCreatorDlg Dialogfeld

class CCDXCreatorDlg : public CDialog
{
// Konstruktion
public:
	CCDXCreatorDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

	CVideo video_dlg;
	CMusic music_dlg;
	CLoadFont font_dlg;
	CVMode vmode_dlg;
	CComponents components_dlg;

	// Dialogfelddaten
	//{{AFX_DATA(CCDXCreatorDlg)
	enum { IDD = IDD_CDXCREATOR_DIALOG };
	CString	m_AppName;
	BOOL	m_16Bit;
	BOOL	m_24Bit;
	BOOL	m_LoadFont;
	CString	m_SeeCompo;
	CString	m_SeeFont;
	CString	m_SeeMusic;
	CString	m_SeeVideo;
	CString	m_SeeVMode;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte Überladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CCDXCreatorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Unterstützung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CCDXCreatorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExitButton();
	afx_msg void OnCreateButton();
	afx_msg void OnChangeNameEdit();
	afx_msg void OnAddvideoButton();
	afx_msg void OnAddmusicButton();
	afx_msg void OnLoadfontButton();
	afx_msg void OnVideomodesButton();
	afx_msg void OnComponentsButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fügt zusätzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // !defined(AFX_CDXCREATORDLG_H__9AAC1AA4_D478_11D2_B5CD_00201865E061__INCLUDED_)
